public inbox for git-commits@fedoraproject.org
help / color / mirror / Atom feed
From: Milos Malik <mmalik@redhat.com>
To: git-commits@fedoraproject.org
Subject: [tests/selinux] pr775-checkpolicy-revdeps: skip irrelevant test phases
Date: Fri, 11 Sep 2026 13:19:43 GMT [thread overview]
Message-ID: <178913278313.1.1562090557559043824.tests-selinux-66fc71a9d1bc@fedoraproject.org> (raw)
A new commit has been pushed.
Repo : tests/selinux
Branch : pr775-checkpolicy-revdeps
Commit : 66fc71a9d1bc0cd880af230c1e7f54f2b56d5312
Author : Milos Malik <mmalik@redhat.com>
Date : 2022-03-18T20:33:56+01:00
Stats : +2/-0 in 1 file(s)
URL : https://src.fedoraproject.org/tests/selinux/c/66fc71a9d1bc0cd880af230c1e7f54f2b56d5312?branch=pr775-checkpolicy-revdeps
Log:
skip irrelevant test phases
Test phase devoted to BZ#2056207 and BZ#2056999 should not be executed
on RHEL-8.x, because the SELinux denials do not appear there.
---
diff --git a/selinux-policy/systemd-sysctl-and-similar/runtest.sh b/selinux-policy/systemd-sysctl-and-similar/runtest.sh
index 52ce90c..51ec449 100755
--- a/selinux-policy/systemd-sysctl-and-similar/runtest.sh
+++ b/selinux-policy/systemd-sysctl-and-similar/runtest.sh
@@ -51,6 +51,7 @@ rlJournalStart
sleep 2
rlPhaseEnd
+ if ! rlIsRHEL 8 ; then
rlPhaseStartTest "bz#2056207 + bz#2056999"
rlSEMatchPathCon "/usr/lib/systemd/systemd-sysctl" "systemd_sysctl_exec_t"
rlRun "ls -Z /proc/sys/fs/suid_dumpable | grep :proc_security_t"
@@ -59,6 +60,7 @@ rlJournalStart
rlRun "ls -Z /proc/sys/kernel/kptr_restrict | grep :proc_security_t"
rlSESearchRule "allow systemd_sysctl_t proc_security_t : file { read } [ ]"
rlPhaseEnd
+ fi
rlPhaseStartTest "real scenario"
rlSEService - ${SERVICE_NAME} - ${PROCESS_CONTEXT} "start status" 1
reply other threads:[~2026-09-11 13:19 UTC|newest]
Thread overview: [no followups] expand[flat|nested] mbox.gz Atom feed
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=178913278313.1.1562090557559043824.tests-selinux-66fc71a9d1bc@fedoraproject.org \
--to=mmalik@redhat.com \
--cc=git-commits@fedoraproject.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox